GPU-PLOT(1)

NAME
gpu-plot - continuously update and plot critical GPU parameters as a function of time

SYNOPSIS
gpu-plot [--help | --about]
gpu-plot [--no_fan] [--stdin] [--simlog] [--ltz] [--sleep N] [--debug] [--verbose]

DESCRIPTION
gpu-plot is a utility to continuously plot the trend of critical GPU parameters for all compatible GPUs. The --sleep N can be used to specify the update interval. The gpu-plot utility has 2 modes of operation. The default mode is to read the GPU driver details directly, which is useful as a standalone utility. The --stdin option causes gpu-plot to read GPU data from stdin. This is how gpu-mon produces the plot and can also be used to pipe your own data into the process. The --simlog option can be used with the --stdin when a monitor log file is piped as stdin. This is useful for troubleshooting and can be used to display saved log results. The --ltz option results in the use of local time instead of UTC. If you plan to run both gpu-plot and gpu-mon, then the --plot option of the gpu-mon utility should be used instead of both utilities in order reduce data reads by a factor of 2. Finally, the --verbose option will result in informational messages to be displayed.

OPTIONS

--about
    Will display details about gpu-plot.

--ltz
    Use local time zone instead of UTC for displays and logging.

--no_fan
    Will exclude fan information from the display. Useful with watercooled GPUs.

--stdin
    Will read data from stdin. This is useful to display plots of a logfile save with gpu-mon.

--simlog
    When used with the --stdin option, it will simulate the reading of data from the logfile at a rate define by --sleep.

--sleep N
    Specifies N, the number of seconds to sleep between updates.

--verbose
    Display informational messages generated during execution.

--debug
    Will output additional useful debug/troubleshooting details to a log file.

-h, --help
    Display help text and exit.

EXAMPLES
gpu-plot --sleep 5 --ltz

Will open a Gtk window that will display plots of operation parameters for all compatible GPU's that updates every 5s. Time stamps displayed will use local time zone.

cat logfile | gpu-plot --stdin --simlog --sleep 1

Will open a Gtk window that will display plots of the GPU operation data in the specified logfile to simulate streamed data with a 1 sec interval.

CONFIGURATION
In order to get maximum capability of these utilities, you should be running with a kernel that provides support of the GPUs you have installed. If using AMD GPUs, installing the latest amdgpu driver package or the latest ROCm release, may provide additional capabilities. If you have Nvidia GPUs installed, nvidia-smi must also be installed in order for the utility reading of the cards to be possible. Writing to GPUs is currently only possible for AMD GPUs, and only with compatible cards and with the AMD ppfeaturemask set to 0xfffd7fff. This can be accomplished by adding amdgpu.ppfeaturemask=0xfffd7fff to the GRUB_CMDLINE_LINUX_DEFAULT value in /etc/default/grub and executing sudo update-grub.

FILES

/usr/share/misc/pci.ids
    The system list of all known AMD PCI ID's (vendors, devices, classes and subclasses). It can be updated with the update-pciids command.

/sys/class/drm/card*/device/pp_od_clk_voltage
    Special driver file for each AMD GPU required for some rickslab-gpu-utils.

/etc/default/grub
    The grub defaults file where amdgpu.ppfeaturemask needs to be set.

BUGS
Known to not work well with Fiji ProDuo cards and will issue warning messages for Fiji Nano cards. Please report any additional bugs/issues at https://github.com/Ricks-Lab/gpu-utils

SEE ALSO
cat(1), gpu-mon(1) amdgpu(4), nvidia-smi(1), update-grub(8), update-pciids(8), lspci(8)

AVAILABILITY
The gpu-plot command is part of the rickslab-gpu-utils package and is available from https://github.com/Ricks-Lab/gpu-utils